Summary:	Extra plugins for gedit
Name:		gedit-plugins
Version:	3.4.0
Release:	1
License:	GPLv2+
Group:		Editors 
URL:		http://gedit.pn.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-python)
BuildRequires:	pkgconfig(gedit)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)

Requires:	gedit >= %{version}

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std
find %{buildroot} -name *.la | xargs rm

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog AUTHORS
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*



%changelog
* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.0-1
+ Revision: 792757
- version update 3.4.0

* Thu Mar 15 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.1-1
+ Revision: 785059
- new version 3.2.1
- cleaned up spec

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 2.32.0-3
+ Revision: 677701
- rebuild to add gconftool as req

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.32.0-2
+ Revision: 664819
- mass rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581883
- update to new version 2.32.0

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 2.31.7-1mdv2011.0
+ Revision: 579584
- add requires on python-dbus

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update file list

* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 572473
- fix uninstallation script

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 570618
- update to new version 2.31.6

* Fri Aug 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-1mdv2011.0
+ Revision: 569495
- new version
- add synctex plugin

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528920
- update to new version 2.30.0

* Sun Jan 17 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 492681
- new version
- update file list

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475652
- new version
- update build deps
- update file list

* Sat Sep 26 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 449401
- update to new version 2.28.0

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 421054
- update to new version 2.27.1

* Sun Jul 26 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 400453
- update to new version 2.26.3

* Thu Jun 04 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-2mdv2010.0
+ Revision: 382640
- fix terminal plugin build (bug #51303)

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 376518
- New version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366999
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355735
- update to new version 2.26.0

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 344091
- update to new version 2.25.3

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 325236
- new version
- update file list

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 309486
- new version
- update file list
- fix build deps

* Sat Oct 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.5-1mdv2009.1
+ Revision: 297104
- update to new version 2.22.5

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 2.22.4-1mdv2009.1
+ Revision: 294468
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 282506
- update build deps
- new version

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-2mdv2009.0
+ Revision: 231442
- update license

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 195945
- fix buildrequires
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192491
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183684
- new version
- bump deps

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.0-3mdv2008.1
+ Revision: 178727
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-1mdv2008.0
+ Revision: 94120
- Fix BuildRequires

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch 0

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 92480
- Update patch0 to fix build with gedit 2.20

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 78818
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2008.0
+ Revision: 49787
- fix gtksourceview dep

